PhpStorm 9.5 EAP 142.4491

PhpStorm 9.5 EAP 142.4491 is available for download.

From the PHP side, this build is focused on various bug fixes and usability improvements (see full list in our issue tracker).

Other changes from IntelliJ platform and web are also included, see complete release notes.

Download PhpStorm 9.5 EAP build 142.4491 for your platform from project EAP page and please report any bugs and feature request to our Issue Tracker. Patch update from the previous version (PhpStorm 9.5 EAP build 142.4289) is already available.

Develop with pleasure!
-JetBrains PhpStorm Team

This entry was posted in Early Access Program and tagged , , , . Bookmark the permalink.
  • Dario Casertano

    Temp. directory: C:UsersDARIO~1.CASAppDataLocalTemp C:UsersDARIO~1.CASAppDataLocalTempidea.updater.7596149735949301790.tmptemp.8376792713803289584.tmp (Unable to complete the operation. The file contains a virus or potentially unwanted software)
    at Method)
    at com.intellij.updater.Utils.copy(
    at com.intellij.updater.BaseUpdateAction.replaceUpdated(
    at com.intellij.updater.UpdateAction.doApply(
    at com.intellij.updater.PatchAction.apply(
    at com.intellij.updater.Patch$3.forEach(
    at com.intellij.updater.Patch.forEach(
    at com.intellij.updater.Patch.apply(
    at com.intellij.updater.PatchFileCreator.apply(
    at com.intellij.updater.PatchFileCreator.apply(
    at com.intellij.updater.Runner.doInstall(
    at com.intellij.updater.Runner.access$000(
    at com.intellij.updater.Runner$1.execute(
    at com.intellij.updater.SwingUpdaterUI$

  • Artur

    In this EAP Darcula theme has a different IDE font on Ubuntu. On EAP font is bolder. how can I revert it to previous version?

    • Maxim Kolmakov

      Please attach screenshot of “Settings->Appearance”.

      • Artur

        As you requested

        • Maxim Kolmakov

          Please try to run: sudo apt-get remove fonts-unfonts-core

          • Artur

            This helps! Thanks!

  • Bryan Green

    This is a great EAP release. Stable. Thank you!

  • Александр

    Hello guys, is there a way to use ES7 decorators without syntax errors? I mean here’s the 2 lines of code

    It compiles with Babel successfully (stage 1) but phpStorm 9.0.2 says “Expected function, variable, class, interface or namespace declaration”.

    • Maxim Kolmakov

      Could you please try PhpStorm 9.5 EAP?

      • Александр

        Just tried. At first there was no errors, but in few minutes it appeared. wait a minute, I will do screenshot.

      • Александр

        Now it’s other error:
        Decorators are not included in ECMAScript 6. Well that’s true. Any way to use ECMAScript 7? That feature is not necessary, just curious.

  • Mike B

    It appears that “Create New Project from Existing Files” no longer works on the welcome window.